Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603376 - [abrt] crash in at-spi-1.30.1-1.fc13: set_engine: Process /usr/libexec/at-spi-registryd was killed by signal 11 (SIGSEGV)
[abrt] crash in at-spi-1.30.1-1.fc13: set_engine: Process /usr/libexec/at-spi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: at-spi (Show other bugs)
17
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:ccb357cef076f2516469f981b30...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-12 14:17 EDT by jmccann
Modified: 2015-01-14 18:25 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:29:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.40 KB, text/plain)
2010-06-12 14:17 EDT, jmccann
no flags Details
Fix missing g_type_init (469 bytes, patch)
2010-10-01 09:07 EDT, Sandro Bonazzola
no flags Details | Diff

  None (edit)
Description jmccann 2010-06-12 14:17:46 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/at-spi-registryd --oaf-activate-iid=OAFIID:Accessibility_Registry:1.0 --oaf-ior-fd=18
component: at-spi
crash_function: set_engine
executable: /usr/libexec/at-spi-registryd
global_uuid: ccb357cef076f2516469f981b30bb10184b8e92d
kernel: 2.6.33.5-112.fc13.i686
package: at-spi-1.30.1-1.fc13
rating: 4
reason: Process /usr/libexec/at-spi-registryd was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 jmccann 2010-06-12 14:17:48 EDT
Created attachment 423534 [details]
File: backtrace
Comment 2 Sandro Bonazzola 2010-09-28 05:58:52 EDT
Seen also on F14 with at-spi-1.31.1-3.fc14.i686.
(gdb) bt
#0  set_engine (client=0x0, engine=0x945d030) at gconf-client.c:268
#1  0x00becf08 in gconf_client_get_default () at gconf-client.c:447
#2  0x0804f592 in main (argc=1, argv=0xbfacbe24) at registry-main.c:201

(gdb) f 0
#0  set_engine (client=0x0, engine=0x945d030) at gconf-client.c:268
268	  if (engine == client->engine)

set_engine segfault trying to access client->engine with client passed NULL.

(gdb) f 1
#1  0x00becf08 in gconf_client_get_default () at gconf-client.c:447
447	      set_engine (client, engine);      
(gdb) list
442	    }
443	  else
444	    {
445	      client = g_object_new (gconf_client_get_type (), NULL);
446	      g_object_ref (G_OBJECT (client));      
447	      set_engine (client, engine);      
448	      register_client (client);
449	    }
450	  
451	  return client;

Maybe a check on g_object_new result can avoid this. Is it possible that no default client can be found?
Comment 3 Sandro Bonazzola 2010-09-28 06:06:05 EDT
Maybe g_type_init() is just missing.

# /usr/libexec/at-spi-registryd --help

(process:5358): GLib-GObject-CRITICAL **: gtype.c:2710: You forgot to call g_type_init()

(process:5358): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed

(process:5358): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
Segmentation fault (core dumped)
Comment 4 Sandro Bonazzola 2010-10-01 08:34:11 EDT
Still present in at-spi-1.32.0-1.fc14.i686 from testing

#0  set_engine (client=0x0, engine=0x8fcb030) at gconf-client.c:268
268	  if (engine == client->engine)

#0  set_engine (client=0x0, engine=0x8fcb030) at gconf-client.c:268
#1  0x006aaf08 in gconf_client_get_default () at gconf-client.c:447
#2  0x0804f592 in main (argc=1, argv=0xbfdfe0b4) at registry-main.c:201


#  /usr/libexec/at-spi-registryd

(process:3583): GLib-GObject-CRITICAL **: gtype.c:2710: You forgot to call g_type_init()

(process:3583): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed

(process:3583): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
Comment 5 Sandro Bonazzola 2010-10-01 09:07:30 EDT
Created attachment 451003 [details]
Fix missing g_type_init

This fixed the missing call to g_type_init. However, at-spy-registryd exits and doesn't continue to run as daemon.
Comment 6 Sandro Bonazzola 2010-10-01 09:27:20 EDT
(In reply to comment #5)
> Created attachment 451003 [details]
> Fix missing g_type_init
> 
> This fixed the missing call to g_type_init. However, at-spy-registryd exits and
> doesn't continue to run as daemon.

OK, I can confirm that the patch I've attached fixes the issue on at-spi-1.32.0-1.fc14.i686. The registryd exited because I had /desktop/gnome/interface/at-spi-corba set to false.

It may be that having /desktop/gnome/interface/at-spi-corba set to false is required in order to reproduce this bug.
Could the assignee review the patch and include it in testing?
Comment 7 Sandro Bonazzola 2010-10-19 11:01:46 EDT
Can anybody add the patch created as attachment #451003 [details] to the rpm and push it to testing?
Comment 8 Sandro Bonazzola 2010-11-03 04:24:42 EDT
Reported upstream https://bugzilla.gnome.org/show_bug.cgi?id=633883 .
Comment 9 Sandro Bonazzola 2010-12-01 02:17:42 EST
Could someone update:
Version: 14
Keyword: Patch Upstream
And add the patch while we are waiting for the next release of at-spi?
Comment 10 Sandro Bonazzola 2010-12-10 08:33:55 EST
Patch submitted 2 months ago, not yet included in the package.
Is there a reason for the delay?
Comment 11 Sandro Bonazzola 2011-02-01 02:07:48 EST
Adding Ray Strode to CC as last maintainer working on at-spi-1.32.0-2
Comment 12 Sandro Bonazzola 2011-02-02 02:14:17 EST
http://fedoraproject.org/wiki/PackageMaintainers/Policy/NonResponsiveMaintainers
Could the maintainer reply?
Comment 13 Bug Zapper 2011-06-02 07:06:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-27 14:05:24 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Scott Tsai 2012-07-01 08:37:08 EDT
This bug still happens on at-spi-1.32.0-8.fc17.x86_64. Manually run:
/usr/libexec/at-spi-registryd
and you'll see the segfault.
The "Fix missing g_type_init" attached to this bug is still not applied in gnome git master: http://git.gnome.org/browse/at-spi/tree/registryd/registry-main.c#n200

Since /etc/xdg/autostart/at-spi-registryd.desktop contains:
AutostartCondition=GNOME /desktop/gnome/interface/accessibility,
clearing the GConf key "/desktop/gnome/interface/accessibility" stop gnome-session from running at-spi-registryd.
Comment 16 Sandro Bonazzola 2013-03-10 06:24:36 EDT
patch merged upstream: https://git.gnome.org/browse/at-spi/commit/?id=c7639c37ae6ff3456b15adf2cd7ff229e72e4fa0

bug resolved upstream: https://bugzilla.gnome.org/show_bug.cgi?id=633883

Still present in Fedora 18.

Will the patch be included at least for Fedora 19?
Comment 17 Ganapathi Kamath 2013-03-16 19:59:28 EDT
possibly related : 
/var/log/messages contain the following line during boot
Mar 16 19:12:49 localhost kernel: [30655.123618] at-spi-registry[15950]: segfault at 18 ip 0000003017e19911 sp 00007fff058629a0 error 4 in libgconf-2.so.4.1.5[3017e00000+2f000]

I may be wrong but I think 
/usr/libexec/at-spi-registryd
is obsoleting and being replaced by
/usr/libexec/at-spi2-registryd 

at-spi-registry is being killed by signal 11 for some reason. 
and can be easily verified by attempting to start manually from 
cmd line also.

the package installs
/etc/xdg/autostart/at-spi-registryd.desktop

During login, gnome-session waits for 45 seconds(machine subjunctive) before showing desktop waiting for at-spi-registryd to register on dbus after starting it. Making the following allows desktop to be shown in under 10 seconds.    

changing the "Exec=" line in at-spi-registryd.desktop to
Exec=/usr/libexec/at-spi2-registryd 

Potential Resolution in packaging and configuration of at-spi/at-spi2
move /etc/xdg/autostart/at-spi-registryd.desktop
from package at-spi-1.32.0-9.fc18.x86_64
to package at-spi2-core-2.6.3-1.fc18.x86_64
with the above correction. 


at-spi is 
Assistive Technology Service Provider Interface

Packages
]# rpm -qa | egrep -i at-spi
at-spi2-core-2.6.3-1.fc18.x86_64
at-spi-python-1.32.0-9.fc18.x86_64
at-spi2-atk-devel-2.6.2-1.fc18.x86_64
at-spi-1.32.0-9.fc18.x86_64
at-spi2-atk-2.6.2-1.fc18.x86_64
Comment 18 Fedora End Of Life 2013-07-04 02:51:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2013-08-01 14:29:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.